#include "partition.h"
#include <map>
using namespace std;

std::vector<int> solve(std::vector<int> A) {
    vector<int> res;

    res.push_back(A.size() - 1);
    for (int i = 0; i < A.size() - 1; i++) {
        res.push_back(i);
    }

    return res;
}
